﻿using System;
using System.ComponentModel;
using System.Diagnostics;
using System.Drawing;
using System.Runtime.InteropServices;
using System.Windows.Forms;
using System.Windows;
using ThinkGeo.Core;
using WpfDotNetFramwork;
using Application = System.Windows.Forms.Application;
using Microsoft.Win32;
using System.Globalization;
using System.IO;

namespace WindowsFormsApp18
{
    public partial class Form1 : Form
    {
        string ExtentFileName = Application.StartupPath + "\\CurrentExtent.txt";
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            MapView1.MapUnit = GeographyUnit.Meter;
            MapView1.Overlays.Add(new OpenStreetMapOverlay("OSM"));
            MapView1.ZoomLevelSet = new ZoomLevelSet();

            GeoImage needleImage = new GeoImage(System.Windows.Forms.Application.StartupPath + "\\compass1_needle_letters_disc.png");
            GeoImage frameImage = new GeoImage(System.Windows.Forms.Application.StartupPath + "\\compass1_circle_digits.png");
            CompassAdornmentLayer compassAdornmentLayer = new CompassAdornmentLayer(needleImage, frameImage, Position.UpperLeft, 100);
            MapView1.AdornmentOverlay.Layers.Add(compassAdornmentLayer);
            // Restore the current extent if exist
            if (File.Exists(ExtentFileName))
            {
                MapView1.CurrentExtent = new RectangleShape(File.ReadAllText(ExtentFileName));
            }
        }

        private void MapView1_CurrentExtentChanged(object sender, CurrentExtentChangedMapViewEventArgs e)
        {
            File.WriteAllText(ExtentFileName, this.MapView1.CurrentExtent.GetWellKnownText().ToString());
        }
    }
}
